/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */
package sync4j.framework.engine;


/**
 * @author Stefano Fornari @ Funambol
 * @version $Id: SyncItemState.java,v 1.8 2006/02/07 09:56:56 luigiafassina Exp $
 */
public class SyncItemState {
    public static final char NEW           = 'N';
    public static final char UPDATED       = 'U';
    public static final char DELETED       = 'D';
    public static final char SYNCHRONIZED  = 'S'; // already existing
    public static final char UNKNOWN       = ' ';
    public static final char NOT_EXISTING  = 'X';
    public static final char CONFLICT      = 'C';
    public static final char PARTIAL       = 'P'; // partial content
}