/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.framework.logging;

/**
 * Contains the name of the logger used in Sync4j
 *
 * @version $Id: Sync4jLoggerName.java,v 1.3 2006/02/07 09:56:56 luigiafassina Exp $
 * @author  Stefano Nichele @ Funambol.com
 */

public interface Sync4jLoggerName {

    public static final String TRANSPORT_HTTP              = "transport.http";
    public static final String DM                          = "dm";
    public static final String SERVER_DM_BOOTSTRAP         = "server.dm.bootstrap";
    public static final String SERVER_DM_NOTIFICATION      = "server.dm.notification";
    public static final String HANDLER                     = "handler";
    public static final String ENGINE                      = "engine";
    public static final String FRAMEWORK_ENGINE            = "framework.engine";
    public static final String SERVER_ADMIN                = "server.admin";
    public static final String TEST_TOOLS_POST_SYNCML      = "test.tools.PostSyncML";
    public static final String LOG_SQL                     = "log.sql";
    public static final String SOURCE                      = "source";

}
