/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.transport.http.server;

/**
 *
 * @author  Stefano Fornari
 * @version $Id: Constants.java,v 1.8 2006/02/07 09:57:03 luigiafassina Exp $
 */
public interface Constants {
    public static final String PARAM_SESSION_ID       = "sid"                 ;
    public static final String PARAM_SYNCHOLDER_CLASS = "sync-holder-class"   ;
    public static final String PARAM_HOLDER_CACHE_FACTORY    
                                                      = "holder-cache-factory";
    public static final String PARAM_HOLDER_CACHE_CLASS    
                                                      = "holder-cache-class"  ;
    public static final String PARAM_GROUP            = "group"               ;
    public static final String PARAM_CHANNEL_PROPERTIES    
                                                      = "channel-properties"  ;
    public static final String PARAM_SESSION_TTL      = "session-time-to-live";
    public static final String PARAM_JNDI_ADDRESS     = "jndi-address"        ;
    
    public static final String DEFAULT_GROUP          = "sync4j.reference_cache";
    public static final long   DEFAULT_TTL            = 600000; // 10 mins
    public static final long   DEFAULT_TIMEOUT        = 10000 ; // 10 secs
    public static final String DEFAULT_JNDI_ADDRESS   = "localhost:1009"      ;
    
    public static final String LOG_NAME               = "transport.http"      ;
    
    public static final String PARAM_LOG_REQUEST      = "log-request"         ;
    public static final String PARAM_DIRLOG_REQUEST   = "dirlog-request"      ;
}