/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */


package sync4j.framework.server.store;

/**
 * This Clause represents an empty class, so that no filtering is applied.
 *
 * @author  Stefano Fornari @ Funambol
 * @version $Id: AllClause.java,v 1.5 2006/02/07 09:56:57 luigiafassina Exp $
 */
public class AllClause extends Clause {
    public PreparedWhere getPreparedWhere() {
        PreparedWhere ret = new PreparedWhere();
        
        ret.sql = "";
        ret.parameters = new Object[0];
        
        
        return ret;
    }
}