/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */
package sync4j.test;

/**
 * A test has failed!
 *
 * @author Stefano Fornari
 * @version $Id: TestFailedException.java,v 1.6 2006/02/07 09:57:03 luigiafassina Exp $
 */
public class TestFailedException extends Exception {

   /**
     * @param msg  human readable String that describes the cause of the
     *      exception
     */
    public TestFailedException(final String msg) {
        super(msg);
    }
    
    public TestFailedException(final String msg, final Throwable cause) {
        super(msg, cause);
    }
     
}

